"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typespyFactory = void 0;
const constants_1 = require("../constants");
function typespyFactory(host = constants_1.DEFAULT_HOST, port = constants_1.DEFAULT_PORT_NUM, loggerFn = console.log) {
    loggerFn(`🕵🏻‍♂️ typespy: configured function to listen on [${host}:${port}]`);
    return function typespy(message) {
        fetch(`http://${host}:${port}/values`, {
            method: 'POST',
            headers: {
                Accept: 'application/json',
                'Content-Type': 'application/json',
            },
            body: JSON.stringify(message),
        })
            .then((response) => {
            loggerFn(`🕵🏻‍♂️ typespy: Successfully sent message: `, message);
        })
            .catch((e) => {
            loggerFn('🕵🏻‍♂️ typespy: ❌ call failed, make sure to run the typespy server before running your code', e);
        });
    };
}
exports.typespyFactory = typespyFactory;
//# sourceMappingURL=typespy.js.map